PUT /api/v3/generalledger/{generalLedgerId}

Updates a General Ledger

EditGeneralLedgerV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
generalLedgerId General Ledger ID to update integer (int32) Required

Request Body

GeneralLedgerRequest
Property Description Type
generalLedgerCode Unique identifier for the General Ledger Required Must be between 0 and 255 characters string
subCodes List of 20 sub codes and their values Required GLSubCodeChildRequest[]
GLSubCodeChildRequest properties
Property Description Type
subCodeIndex Index of this sub code (1-20) Required Must be between 1 and 20 integer (int32)
value Value for the sub code Must be between 0 and 25 characters string
Example Request Body application/json
{  "generalLedgerCode": "string",  "subCodes": [
    {    "subCodeIndex": 1,    "value": "string"
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GeneralLedgerResponse
Property Description Type
generalLedgerCode Unique code for the general ledger string
generalLedgerId General Ledger Identifier integer (int32)
subCodes List of 20 subCodes with their index, name, and value GLSubCodeChild[]
GLSubCodeChild properties
Property Description Type
subCodeIndex Index of this subcode (01-20) string
subCodeName Name for this SubCode string
value The value assigned to the subcode string
Example Response application/json
{  "generalLedgerCode": "string",  "generalLedgerId": 1,  "subCodes": [
    {    "subCodeIndex": "string",    "subCodeName": "string",    "value": "string"
  }
  ]
}